Posted by Paulden
Digon

Cannot use QuickSupport Links

I have installed the latest version 14 Teamviewer - even checked for updates when started. Version 14.4.2669

I created a new Quick Supoport link via the website and sent it to another workstation nearby.  It loads and installs 14.4.2669 SQC and gets a Session code.

But wwhen I try and remote it my system tells me theat the remote system is running an older version of teamviewer and provides instructions (that are not applicable) on how to update it.

How do I get this going?

Every bit of help tells me this should already be working.

 

 

5 Replies
5 Replies
Posted by Moderator Moderator
Moderator

Re: Cannot use QuickSupport Links

Hello @Paulden,

Thank you for your message.

Could you tell us the exact OS versions you are using on both sides of the connection?

Many thanks in advance.

Best,

Jean

French Community Moderator
Did my reply answer your question ? Accept it as a solution to help others.
Find this helpful ? Say thanks by clicking on the Thumbs Up button.
Posted by Paulden
Digon

Re: Cannot use QuickSupport Links

Windows 10 Pro Version 1809 on both machines

Posted by bwb
Henagon

Re: Cannot use QuickSupport Links

I'm experiencing the same issue with QuickSupport which is upgraded to v14 (
https://get.teamviewer.com/not-working-with-v14_4_2669 or
https://get.teamviewer.com/v14/not-working-with-v14_4_2669 )

Both under Linux as Windows as host (both running version 14.4.2669) are not working with a Windows QS client. I've reported this in case #3227576 and on Twitter 3 weeks ago.

Updated my Twitter link, great BTW, I cannot directly link to tweets because there is a stupid regex replacing 19 numers with (even if I add a ? behing my url):

**Please do no post TeamViewer IDs**

.

Screenshots of the message dialog:

teamviewer-qs-version-error.pngVersion out of date dialog on WindowsScreenshot from 2019-07-16 14-29-02.pngVersion out of date dialog on Linux

Posted by bwb
Henagon

Re: Cannot use QuickSupport Links

Ok I fixed my problem by getting my license activated by downgrading to v13 and upgrading to v14 again, getting a new TeamViewerID that is below 10 chars (I activated in 14.0.14470 later upgraded to the latest 14.4.2669 to be correct), because my activation of a 10 char ID was not working, I tried to work it out with support, but they blamed linux, but it was not apparently (like I said, and they where investigating, but "there is no update yet from development" was the only response every now and then).

If you're not using an activated TeamViewer they will just throw the version out of date as a new nice error (https://community.teamviewer.com/t5/Previous-versions-EN/Version-out-of-date-Update-the-remote-Teamv...), this is especially nice if you are actually a paying business user (since v9 at least, upgraded every year, and later switched to paying per month), support is still at "there is no update yet from development".

I'm so disappointed in TeamViewer with the non-existing support (and not in my language Dutch any more, but they do advertise the phone number, just to redirect you after some extra minutes waiting .. ), advising the wrong things, not having linux on the roadmap, changing to plain wrong error messages that will have you looking in the wrong place. I think this problem costed me at least 2 days, I'm done with TeamViewer, I will be looking for some FOSS alternative. Please contact me on twitter @bwbroersma if you have any advise.

Posted by bwb
Henagon

Re: Cannot use QuickSupport Links

Ok, so that solution is only temporary, apparently after a reboot it will give you a license update popup with:

OldLicense: PaidLicense
NewLicense:

After which the only solution is downgrading and then upgrading again, to get a 9-char ID back for at least the duration of the boot.

sudo apt install teamviewer=14.0.14470 

Start TeamViewer, and update back to the latest version, and restart the teamviewer deamon (otherwise it will hang).

sudo apt install teamviewer
sudo systemctl restart teamviewerd.service

I hope TeamViewer will fix this issue SOON.
But Last time I was already looking for an alternative to Quick Support, and found out about the build in MicroSoft Windows ways to get Remote Assistance, which has command line options to generate a invite file with a chosen password, can easily be scripted to use a random password, submit the file to a server, and use a linux Free RDP solution.